//	Varying variables
varying vec2 texCoord;	//	texCoords

[Vertex Shader]

//	Transformation uniforms
uniform mat4 worldMatrix;		//	world matrix
uniform mat4 viewMatrix;		//	view/camera matrix
uniform mat4 projectionMatrix;	//	projection matrix

void main()
{
	//  Calculate World x View Matrix
	mat4 worldViewMatrix = viewMatrix * worldMatrix;
	//  Calculate Projection x WorldView Matrix
	mat4 worldViewProjectionMatrix = projectionMatrix * worldViewMatrix;
	//  Transform Vertex
	gl_Position = worldViewProjectionMatrix * gl_Vertex;
	//  Pass Texture coordinates to pixel shader
	texCoord = gl_MultiTexCoord0;
}

[Geometry Shader]

[Fragment Shader]

//	Texture uniforms
uniform sampler2D tex01;

void main()
{
	//	Get texture information
	vec4 texture01 = texture2D( tex01, texCoord ).rgba;
	
	gl_FragColor = texture01;
}