varying vec2 texCoord;

[Vertex Shader]

uniform mat4 worldMatrix;
uniform mat4 viewMatrix;
uniform mat4 projectionMatrix;

void main()
{
	//  Calculate World x View Matrix
	mat4 worldViewMatrix = viewMatrix * worldMatrix;

	// Reset rotations on WorldView matrix
	worldViewMatrix[0][0] = worldViewMatrix[1][1] = worldViewMatrix[2][2] = 1.0;
	worldViewMatrix[0][1] = worldViewMatrix[0][2] = worldViewMatrix[1][0] = worldViewMatrix[1][2] = worldViewMatrix[2][0] = worldViewMatrix[2][1] = 0.0;

	//  Calculate Projection x WorldView Matrix
	mat4 worldViewProjectionMatrix = projectionMatrix * worldViewMatrix;
	//  Transform Vertex
	gl_Position = worldViewProjectionMatrix * gl_Vertex;
	//  Pass Texture coordinates to pixel shader
	texCoord = gl_MultiTexCoord0;
}

[Geometry Shader]

[Fragment Shader]

uniform sampler2D tex01;

void main()
{
	gl_FragColor = texture2D( tex01, texCoord ).rgba;
}